# Class ExecutionControl.StoppedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.jshell.spi.ExecutionControl.ExecutionControlException
jdk.jshell.spi.ExecutionControl.RunException
jdk.jshell.spi.ExecutionControl.StoppedException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `ExecutionControl`

public static class ExecutionControl.StoppedException extends ExecutionControl.RunException
An exception indicating that an `ExecutionControl.invoke(java.lang.String, java.lang.String)` (or theoretically a `ExecutionControl.varValue(java.lang.String, java.lang.String)`) has been interrupted by a `ExecutionControl.stop()`.

Since:
  9
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StoppedException()`

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoppedException

public StoppedException()